var req = require('./utils/request.js')
// app.js
App({
  http: req,
  urls: req.apis,
  data: {

  },
  onLaunch() {
    //获取状态栏高度
    var _self = this
    wx.getSystemInfo({
      success: e => {
        _self.globalData.StatusBar = e.statusBarHeight;
        let capsule = wx.getMenuButtonBoundingClientRect();
        if (capsule) {
          _self.globalData.Custom = capsule;
          _self.globalData.CustomBar = capsule.bottom + capsule.top - e.statusBarHeight;
        } else {
          _self.globalData.CustomBar = e.statusBarHeight + 50;
        }
      }
    })
    //获取手机屏幕高度、宽度
    _self.globalData.windowHeight = wx.getSystemInfoSync().windowHeight
    _self.globalData.windowWidth = wx.getSystemInfoSync().windowWidth
  },
  globalData: {
    userInfo: {},
    token: ''
  },
})